package com.jiayue.insu.incloud.pushdata;

import com.jiayue.insu.incloud.entity.Station;

/**
 * 推送预测原始数据接口
 *
 * @author yh
 * @version 1.0
 * @since 2022/5/22 11:29
 */
public interface IPushInitForecastData {

    /**
     * 推送短期预测原始数据
     * @return 是否成功
     */
    Boolean pushDQAndNWPData(Station station);

    /**
     * 推送短期预测原始数据
     * @return 是否成功
     */
    Boolean pushDQData(Station station);
    /**
     * 推送NWP预测原始数据
     * @return 是否成功
     */
    Boolean pushNWPData(Station station);
}
